=== modified file 'viz/treemodel.py'
--- viz/treemodel.py	2007-11-05 17:16:09 +0000
+++ viz/treemodel.py	2007-12-02 17:04:48 +0000
@@ -11,6 +11,7 @@
 import gobject
 import pango
 import re
+from xml.sax.saxutils import escape
 
 from time import (strftime, localtime)
 
@@ -82,7 +83,7 @@
             revision = self.revisions[revid]
         
         if column == REVISION: return revision
-        if column == MESSAGE: return revision.message.split("\n")[0]
+        if column == MESSAGE: return escape(revision.message.split("\n")[0])
         if column == COMMITER: return re.sub('<.*@.*>', '', 
                                              revision.committer).strip(' ')
         if column == TIMESTAMP: 

=== modified file 'viz/treeview.py'
--- viz/treeview.py	2007-11-28 23:26:02 +0000
+++ viz/treeview.py	2007-12-02 17:04:48 +0000
@@ -329,7 +329,7 @@
         self.msg_column.set_sizing(gtk.TREE_VIEW_COLUMN_FIXED)
         self.msg_column.set_fixed_width(cell.get_size(self.treeview)[2])
         self.msg_column.pack_start(cell, expand=True)
-        self.msg_column.add_attribute(cell, "text", treemodel.MESSAGE)
+        self.msg_column.add_attribute(cell, "markup", treemodel.MESSAGE)
         self.treeview.append_column(self.msg_column)
 
         cell = gtk.CellRendererText()

